body {
    width: auto;
    margin: 0px;
    padding: 0px;
    height: 100vh;
    font-family: 'Open Sans', sans-serif;
    background: cover;
}

.container {
    width: auto;
    height: 75px;
    background-color: ghostwhite;
    border: 1px solid black;
    padding: 0px;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 30px;
}

nav {
    position: relative;
    margin-top: 10px;
    width: 700px;
    float: right;
    height: 50px;
    background-color: none;
    font-size: 0;
}

nav a {
    font-size: 20px;
    font-weight: 600;
    text-transform: uppercase;
    margin-top: 15px;
    color: blue;
    line-height: 20px;
    text-decoration: none;
    position: relative;
    z-index: 1;
    display: inline-block;
    text-align: center;
}

nav .animation {
    position: absolute;
    height: 5px;
    bottom: 0;
    z-index: 0;
    background: lightgreen;
    width: 100px;
    border-radius: 10px;
    transition: all .5s ease 0s;
}

a:nth-child(1) {
    width: 100px;
}

nav .start-home,
a:nth-child(1):hover ~ .animation {
    width: 100px;
    left: 0;
}

a:nth-child(2) {
    width: 80px;
}

nav .start-post,
a:nth-child(2):hover ~ .animation {
    width: 80px;
    left: 100px;
}

a:nth-child(3) {
    width: 130px;
}

nav .start-message,
a:nth-child(3):hover ~ .animation {
    width: 130px;
    left: 180px;
}


a:nth-child(4) {
    width: 100px;
}

nav .start-profile,
a:nth-child(4):hover ~ .animation {
    width: 100px;
    left: 310px;
}


a:nth-child(5) {
    width: 150px;
}

nav .start-newuser,
a:nth-child(5):hover ~ .animation {
    width: 150px;
    left: 410px;
}

a:nth-child(6) {
    width: 100px;
}

nav .start-logout,
a:nth-child(6):hover ~ .animation {
    width: 100px;
    left: 560px;
}

.buildingtype {
    margin-left: 50px;
}

.roomtype {
    margin-left: 50px;
    font-size: 20px;
}


.result_img {
    margin-left: 50px;
    display: inline-block;
}

.preview {
    width: 800px;
    height: 360px;
    border-radius: 10px;
}

.thumb {
    width: 205px;
    height: 150px;
    margin-right: 5px;
    margin-top: 5px;
    border-radius: 5px;
}

.normal {
    border: 1px solid #000000;
}

.selected {
    border: 2px solid blue;
}

.box {
    background-color: white;
    width: 450px;
    display: inline-block;
    vertical-align: top;
    border: 1px solid black;
    border-radius: 10px;
    text-align: center;
}

.group {
    padding-top: 10px;
}

.checkmark {
    display: block;
    width: 40px;
    height: 40px;
    background-color: #ddd;
    border-radius: 10px;
    position: relative;
    display: inline-block;
    margin-top: 20px;
    margin-left: 5px;
}

.checkmark::after {
    content: '';
    position: absolute;
    width: 5px;
    height: 20px;
    border-right: 5px solid white;
    border-bottom: 5px solid white;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%) rotateZ(40deg) scale(2);
    opacity: 0;
    transition: all 0.3s;
}

#check:checked ~ .checkmark {
    background-color: #08bb68;
}

#check:checked ~ .checkmark::after {
    opacity: 1;
    transform: translate(-50%, -50%) rotateZ(40deg) scale(1);
}

.group p {
    display: inline-block;
    vertical-align: top;
    padding-left: 10px;
    padding-top: 5px;
    font-size: 20px;
}

.nextbutton {
    border: 2px solid #3498db;
    color: blue;
    width: 350px;
    background: none;
    font-size: 25px;
    font-family: "montserrat";
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    height: 60px;
    transition: 0.8s;
}

.nextbutton {
    color: #3498db;
}

.nextbutton:hover {
    background: #3498db;
    color: white;
}

nextbutton::before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: #3498db;
    z-index: -1;
    transition: 0.8s;
}

nextbutton::before {
    top: 10;
    border-radius: 0 0 50% 50%;
}

nextbutton:hover::before {
    height: 180%;
}

hr {
    width: 65%;
}

.amenity {
    margin-left: 100px;
}

.amenitybox {
    width: 50%;
    margin-left: 50px;
    display: inline-block;
}

.amenitybutton {
    background-color: aquamarine;
    height: 50px;
    color: gray;
    width: 200px;
    font-size: 25px;
    border-radius: 10px;
    margin-top: 10px;
}

.staydate {
    margin-left: 100px;
}

.staydate p {
    font-size: 30px;
    padding-top: 0px;
}

.messageforguest {
    margin-left: 100px;
}

textarea {
    border: 3px solid blue;
    border-radius: 10px;
    font-size: 15px;
    resize: vertical;
    height: 300px;
    width: 500px;
    min-height: 300px;
    max-height: 300px;
    margin-bottom: 50px;
}
